Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Support for the freeBSD package, created by dbrooks
Post Reply
cremes
Newbie
Newbie
Posts: 3
Joined: June 22nd, 2024, 7:25 am

Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Post by cremes »

Hi, trying to install the latest freebsd package on truenas (latest). When I try to execute/start sabnzbd after the package upgrade, I get an error about a version mismatch on sabctools (version 8.1.0 expected, got 8.2.3).

Upon investigation, I see that the python39 package has py39-sabctools 8.1.0 as a dependency. However, when I 'pkg install sabnzbd' the system installs python311 which has a py311-sabctools version 8.2.3 dependency. While I can install the python39 package it is ignored in favor of the python311 package which brings along the wrong sabctools.

I did google around for how to solve this. The suggestion was to install a downgraded package version that had a python39 dependency. However, the package repo no longer has an older version available so this downgrade isn't easily achieved.

What suggestions do all you freebsd experts have?
Brahiewahiewa
Newbie
Newbie
Posts: 7
Joined: January 20th, 2014, 11:30 pm

Re: Sabnzbd 4.2.2 pkg mismatch with SABCtools

Post by Brahiewahiewa »

Maybe not very helpful, but I can confirm this problem on FreeBSD 14.1-RELEASE-p1
User avatar
sander
Release Testers
Release Testers
Posts: 8929
Joined: January 22nd, 2008, 2:22 pm

Re: Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Post by sander »

Isn't that something for the packager of that package?

See https://cgit.freebsd.org/ports/tree/new ... d/Makefile for their name.

HTH
Brahiewahiewa
Newbie
Newbie
Posts: 7
Joined: January 20th, 2014, 11:30 pm

Re: Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Post by Brahiewahiewa »

Actually I was under the impression that packaging was an automated process.
Should we contact that packager?
User avatar
safihre
Administrator
Administrator
Posts: 5453
Joined: April 30th, 2015, 7:35 am
Contact:

Re: Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Post by safihre »

Yes :) We don't make that one.
If you like our support, check our special newsserver deal or donate at: https://sabnzbd.org/donate
cremes
Newbie
Newbie
Posts: 3
Joined: June 22nd, 2024, 7:25 am

Re: Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Post by cremes »

Yes, I opened a bug with the package maintainer and they are aware and working the problem. I posted here in hopes there was a temporary workaround. I'll post back again when the maintainer releases the fix. I believe the plan is to push out the 4.3.2 version which will then sync up with the sabctools 8.2.3 version.
cremes
Newbie
Newbie
Posts: 3
Joined: June 22nd, 2024, 7:25 am

Re: Sabnzbd 4.2.2 pkg mismatch with SABCtools [TrueNAS]

Post by cremes »

For anyone else caught out by this, here's what I did as a short term remediation. I changed my package repo (/usr/local/etc/pkg/repos/FreeBSD.conf) file to use the quarterly repos instead of the latest repos. Then I reran 'pkg update' and 'pkg upgrade' to switch to the quarterly train. I was able to successfully reinstall an older version of sabnzbd and get everything working.

When the package maintainer gets everything sorted then I'll move back to latest for this particular jail.
Post Reply